com.amazonaws.services.machinelearning.model

## Class DeleteEvaluationRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.machinelearning.model.DeleteEvaluationRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class DeleteEvaluationRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`DeleteEvaluationRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DeleteEvaluationRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getEvaluationId()` A user-supplied ID that uniquely identifies the `Evaluation` to delete.
`int` `hashCode()`
`void` `setEvaluationId(String evaluationId)` A user-supplied ID that uniquely identifies the `Evaluation` to delete.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeleteEvaluationRequest` `withEvaluationId(String evaluationId)` A user-supplied ID that uniquely identifies the `Evaluation` to delete.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeleteEvaluationRequest

    public DeleteEvaluationRequest()

### Method Detail

#### setEvaluationId

    public void setEvaluationId(String evaluationId)

A user-supplied ID that uniquely identifies the `Evaluation` to delete.

Parameters:
  `evaluationId` - A user-supplied ID that uniquely identifies the `Evaluation` to delete.

#### getEvaluationId

    public String getEvaluationId()

A user-supplied ID that uniquely identifies the `Evaluation` to delete.

Returns:
  A user-supplied ID that uniquely identifies the `Evaluation` to delete.

#### withEvaluationId

    public DeleteEvaluationRequest withEvaluationId(String evaluationId)

A user-supplied ID that uniquely identifies the `Evaluation` to delete.

Parameters:
  `evaluationId` - A user-supplied ID that uniquely identifies the `Evaluation` to delete.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DeleteEvaluationRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`